//+------------------------------------------------------------------+
//|                                           getBackGroundColor.mq4 |
//|                                                            Erics |
//|                                                  erics.fx@tut.by |
//+------------------------------------------------------------------+
#property copyright "Erics"
#property link      "erics.fx@tut.by"

#import "user32.dll"
  int  GetWindowDC(int h);
  int  ReleaseDC(int h, int hDC);
  bool GetWindowRect(int h, int& pos[4]);
#import

#import "gdi32.dll"
  int GetPixel(int hDC, int x, int y);
#import

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
void start()
{
  int col = getBackgroundColor();
  if (col==-1) MessageBox("     .");
          else MessageBox(" : " + col);
}
//+------------------------------------------------------------------+

int getBackgroundColor()
{
  int h = WindowHandle(Symbol(), Period());
  int hDC = GetWindowDC(h);
  int col = GetPixel(hDC, 2, 2);
  if(col==-1) {
    //     
    int rect[4];
    GetWindowRect(h, rect);
    int wW = rect[2] - rect[0]; //  
    int wH = rect[3] - rect[1]; //  
    col = GetPixel(hDC, wW-3, wH-3); //   
    if(col==-1) col = GetPixel(hDC, 2, wH-3); // 
    if(col==-1) col = GetPixel(hDC, wW-3, 2); // 
  }
  ReleaseDC(h, hDC);
  return(col);
}